Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface WorkflowedDocument

All Known Subinterfaces:
  AbstractAuthoringTemplate, AuthoringTemplate, Category, Content, ContentComponentContainer, ContentPrototype, EditableLibraryComponent, Folder, HierarchicalPrototype, HierarchicalTemplate, LibraryDateComponent, LibraryDocumentManagerComponent, LibraryFileComponent, LibraryHTMLComponent, LibraryImageComponent, LibraryJSPComponent, LibraryLinkComponent, LibraryListPresentationComponent, LibraryMenuComponent, LibraryNavigatorComponent, LibraryNumericComponent, LibraryPersonalizationComponent, LibraryRichTextComponent, LibrarySearchComponent, LibraryShortTextComponent, LibraryStyleSheetComponent, LibraryTextComponent, LibraryUserSelectionComponent, PortalPage, PresentationTemplate, ProjectTemplate, Prototype, Site, SiteArea, SiteAreaPrototype, SiteAreaTemplate, SiteFrameworkContainer, Taxonomy

    public interface WorkflowedDocument

WorkflowedDocument Interface Represents a WCM API object that supports workflow methods WorkflowedDocument description

Since:
  7.0

Method Summary
`void` | `addAdditionalViewers(java.lang.String... additionalViewers)` Adds names to the list of additional live viewers for this `Document` document.
`void` | `addApprovers(java.lang.String... approvers)` Deprecated. use `Editable.addMembersForAccess(com.ibm.workplace.wcm.api.security.Access, String[])`
`void` | `approve(boolean runExitActions, boolean runEntryAction, java.lang.String comment)` Approves the document.
`Document` | `cancelDraftDocument()` Cancels a draft document, if it exists.
`void` | `clearApprovers()` Deprecated.
`Document` | `createDraftDocument()` Create draft copy of this WorkflowedDocument object.
`void` | `decline()` Declines this document.
`void` | `decline(java.lang.String comment)` Declines this document.
`java.lang.String[]` | `getAdditionalViewers()` Returns an array of names of additional live viewers for this `Document` document.
`java.lang.String[]` | `getCurrentApprovers()` Deprecated. use `Document.getMembersForAccess(com.ibm.workplace.wcm.api.security.Access)`
`java.util.Date` | `getDateEnteredStage()` Return the date which the current `Document` entered the current workflow stage
`java.util.Date` | `getEffectiveDate()` Returns the effective date of this `Document`.
`java.util.Date` | `getExpiryDate()` Returns the expiry date for this `Document` document.
`java.util.Date` | `getGeneralDateOne()` Return general date one for this `Document` document.
`java.util.Date` | `getGeneralDateTwo()` Return general date two for this `Document` document.
`int` | `getPendingWorkflowStatus()` Returns the pending workflow status of this `WorkflowedDocument`.
`java.util.Date` | `getPublishedDate()` Get the date the item was last in the published state.
`DocumentId` | `getPublishedId()` If this is a draft of published Document then it retrieves the `DocumentId` of the Published Item. The item is a draft of published item if `isDraftOfPublishedDocument()` returns `true`.
`DocumentId` | `getWorkflowId()` Return ID of the workflow associated with this document.
`DocumentId` | `getWorkflowStageId()` Returns the ID of the current `WorkflowStage` that this `Document` document is in.
`int` | `getWorkflowStatus()` Returns the current workflow status of this `WorkflowedDocument`.
`boolean` | `hasApproverAccess()` Deprecated. since 8.5 Use `Workspace.hasAccess(DocumentId, com.ibm.workplace.wcm.api.security.Access)` instead. Using Access.APPROVER as the access role.
`boolean` | `hasApproverAccess(UserProfile user)` Deprecated. since 8.5. Use `Workspace.hasAccess(DocumentId, UserProfile, com.ibm.workplace.wcm.api.security.Access)` instead. Using Access.APPROVER as the access role.
`boolean` | `hasDraft()` Returns `true` if this `Document` has a draft document.
`boolean` | `isDraft()` Return `true` if this `Document` object is a draft.
`boolean` | `isDraftOfPublishedDocument()` Is this a draft of a Published Document
`boolean` | `isExpired()` Return `true` if this `Document` has expired.
`boolean` | `isPublished()` Return `true` if this `Document` document is live published document.
`boolean` | `isWorkflowMovingBackward()` Indicates if the workflow is moving backward (ie.
`void` | `nextWorkflowStage()` Deprecated. use `nextWorkflowStage(boolean, boolean, String)` For the same behavior call nextWorkflowStage(true, true, null)
`void` | `nextWorkflowStage(boolean runExitActions, boolean runEntryActions)` Deprecated. use `nextWorkflowStage(boolean, boolean, String)` For the same behavior call nextWorkflowStage(boolean, boolean, null)
`void` | `nextWorkflowStage(boolean runExitActions, boolean runEntryActions, java.lang.String comment)` Move this `Document` onject into the next stage in its workflow.
`void` | `previousWorkflowStage(boolean executeEntryActions)` Deprecated. use `previousWorkflowStage(boolean, String)` For the same behavior call previousWorkflowStage(boolean, null)
`void` | `previousWorkflowStage(boolean executeEntryActions, java.lang.String comment)` Move this document to its previous stage in the workflow.
`void` | `removeAdditionalViewers(java.lang.String... additionalViewers)` Removes names from the list of additional live viewers for this `Document`.
`void` | `removeApprovers(java.lang.String... approvers)` Deprecated. use `Editable.removeMembersForAccess(com.ibm.workplace.wcm.api.security.Access, String[])`
`void` | `restartWorkflow()` Restart the workflow on this `Document` object.
`void` | `setEffectiveDate(java.util.Date effectiveDate)` Sets the effective date of this `Document` document.
`void` | `setExpiryDate(java.util.Date expiryDate)` Sets the expiry date for this `Document` document.
`void` | `setGeneralDateOne(java.util.Date generalDateOne)` Set general date one for this `Document` document.
`void` | `setGeneralDateTwo(java.util.Date generalDateTwo)` Set general date two for this `Document` document.
`void` | `setWorkflowId(DocumentId workflowId)` Sets the `Workflow` on this `Document` given the ID of the `Workflow`.
`void` | `setWorkflowId(DocumentId workflowId, boolean maintainCurrentStage)` Sets the `Workflow` on this `Document` given the ID of the `Workflow`.

Method Detail

### getWorkflowId

    DocumentId getWorkflowId()
                             throws AuthorizationException,
                                    PropertyRetrievalException

  Return ID of the workflow associated with this document. If the user does not have access to the `Workflow`, an `AuthorizationException` will be thrown. `null` will never be returned from this method.

  Returns:
    the ID of the `Workflow` for this `Document`
  Throws:
    `AuthorizationException` - if the user does not have the appropriate access to the workflow
    `PropertyRetrievalException` - if this document is not workflowable or the workflow id cannot be retrieved

### setWorkflowId

    void setWorkflowId(DocumentId workflowId)
                       throws WorkflowException

  Sets the `Workflow` on this `Document` given the ID of the `Workflow`. This method will also restart the workflow of the current document

  Parameters:
    `workflowId` - the ID for the required `Workflow`
  Throws:
    `WorkflowException` - if this document is not workflowable or the workflow ID could not be set

### setWorkflowId

    void setWorkflowId(DocumentId workflowId,
                       boolean maintainCurrentStage)
                       throws WorkflowException

  Sets the `Workflow` on this `Document` given the ID of the `Workflow`. If `maintainCurrentStage` is false OR the current stage doesn't exist in the new workflow, then this method will also restart the workflow of the current document

  Parameters:
    `workflowId` - the ID for the required `Workflow`
    `maintainCurrentStage` - specifies whether to stay in the current stage (and not run any workflow actions OR re-apply security) if it exists in the new `Workflow`
  Throws:
    `WorkflowException` - if this document is not workflowable or the workflow id could not be set

### getWorkflowStageId

    DocumentId getWorkflowStageId()
                                  throws AuthorizationException,
                                         PropertyRetrievalException

  Returns the ID of the current `WorkflowStage` that this `Document` document is in. If the user does not have access to this stage, then an `AuthorizationException` is thrown. `null` is never returned.

  Returns:
    the ID of the current `WorkflowStage` of this document
  Throws:
    `AuthorizationException` - if the user does not have the appropriate access to the current workflow stage
    `PropertyRetrievalException` - if this document is not workflowable or the workflow stage id could not be retrieved

### getEffectiveDate

    java.util.Date getEffectiveDate()
                                    throws PropertyRetrievalException

  Returns the effective date of this `Document`. That is, the date this `Document` will become live.

  Returns:
    the effective date
  Throws:
    `PropertyRetrievalException` - if this document is not workflowable

### setEffectiveDate

    void setEffectiveDate(java.util.Date effectiveDate)
                          throws WorkflowNotFoundException

  Sets the effective date of this `Document` document. That is, the date the Document will become live.

  Parameters:
    `effectiveDate` - the effective date
  Throws:
    `WorkflowNotFoundException` - if this document is not workflowable

### getExpiryDate

    java.util.Date getExpiryDate()
                                 throws PropertyRetrievalException

  Returns the expiry date for this `Document` document. That is, the date it will expire from site.

  Returns:
    the expiry date
  Throws:
    `PropertyRetrievalException` - if this document is not workflowable

### setExpiryDate

    void setExpiryDate(java.util.Date expiryDate)
                       throws WorkflowNotFoundException

  Sets the expiry date for this `Document` document. That is, the date the Document will expire from site.

  Parameters:
    `expiryDate` - the expiry date
  Throws:
    `WorkflowNotFoundException` - if this document is not workflowable

### getPublishedDate

    java.util.Date getPublishedDate()
                                    throws PropertyRetrievalException

  Get the date the item was last in the published state. This value may differ from the effective date. The effective date is when the item is scheduled to be published, however, user intervention may cause the item to be published at a different item.

  Returns:
    the last published date
  Throws:
    `PropertyRetrievalException` - if this document is not workflowable

### getGeneralDateOne

    java.util.Date getGeneralDateOne()
                                     throws PropertyRetrievalException

  Return general date one for this `Document` document. That is, the date that the user has specified.

  Returns:
    General date one
  Throws:
    `PropertyRetrievalException` - if this document is not workflowable

### setGeneralDateOne

    void setGeneralDateOne(java.util.Date generalDateOne)
                           throws WorkflowNotFoundException

  Set general date one for this `Document` document. That is, the date that the user has specified.

  Parameters:
    `generalDateOne` - the general date one
  Throws:
    `WorkflowNotFoundException` - if this document is not workflowable

### getGeneralDateTwo

    java.util.Date getGeneralDateTwo()
                                     throws PropertyRetrievalException

  Return general date two for this `Document` document. That is, the date that the user has specified.

  Returns:
    General date Two
  Throws:
    `PropertyRetrievalException` - if this document is not workflowable

### setGeneralDateTwo

    void setGeneralDateTwo(java.util.Date generalDateTwo)
                           throws WorkflowNotFoundException

  Set general date two for this `Document` document. That is, the date that the user has specified.

  Parameters:
    `generalDateTwo` - the general date two
  Throws:
    `WorkflowNotFoundException` - if this document is not workflowable

### getAdditionalViewers

    java.lang.String[] getAdditionalViewers()
                                            throws PropertyRetrievalException

  Returns an array of names of additional live viewers for this `Document` document.

  Returns:
    an array of names of users or groups listed as additional viewers
  Throws:
    `PropertyRetrievalException` - if this document is not workflowable

### addAdditionalViewers

    void addAdditionalViewers(java.lang.String... additionalViewers)
                              throws WorkflowNotFoundException

  Adds names to the list of additional live viewers for this `Document` document. Duplicate names are removed.

  Parameters:
    `additionalViewers` - the array of additional viewer names to add
  Throws:
    `WorkflowNotFoundException` - if this document is not workflowable

### removeAdditionalViewers

    void removeAdditionalViewers(java.lang.String... additionalViewers)
                                 throws WorkflowNotFoundException

  Removes names from the list of additional live viewers for this `Document`. All names in the specified array will be removed.

  Parameters:
    `additionalViewers` - the array of additional viewer names to remove
  Throws:
    `WorkflowNotFoundException` - if this document is not workflowable

### getCurrentApprovers

    java.lang.String[] getCurrentApprovers()
                                           throws PropertyRetrievalException

  Deprecated. use `Document.getMembersForAccess(com.ibm.workplace.wcm.api.security.Access)`

  Returns a string array of members who have Approver access to this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users and groups.

  Returns an empty array if this `Document` object does not have Approver access specified.

  Returns:
    a string array of members that have Approver access to this `Document` object.
  Throws:
    `PropertyRetrievalException` - if this document is not workflowable, or the current stage is not accessible by this user

### hasApproverAccess

    boolean hasApproverAccess(UserProfile user)
                              throws WorkflowException

  Deprecated. since 8.5. Use `Workspace.hasAccess(DocumentId, UserProfile, com.ibm.workplace.wcm.api.security.Access)` instead. Using Access.APPROVER as the access role.

  Checks if the `UserProfile` has Approver access to this `Document`.

  Parameters:
    `user` - the `UserProfile` to perform the access check for
  Returns:
    true if this user has Approver access, false if not
  Throws:
    `WorkflowException` - if error occured when accessing repository

### hasApproverAccess

    boolean hasApproverAccess()
                              throws WorkflowException

  Deprecated. since 8.5 Use `Workspace.hasAccess(DocumentId, com.ibm.workplace.wcm.api.security.Access)` instead. Using Access.APPROVER as the access role.

  Checks if the user of the `Workspace` associated with the current document has Approver access to this `Document`.

  Returns:
    true if this user has Approver access, false if not
  Throws:
    `WorkflowException` - if error occured when accessing repository

### addApprovers

    void addApprovers(java.lang.String... approvers)

  Deprecated. use `Editable.addMembersForAccess(com.ibm.workplace.wcm.api.security.Access, String[])`

  Adds each approver specified in the string array argument to the approvers of this `Document` object.

  An approver is only added if the element in the string array argument can be converted to a valid member.

  Note: Each approver of this `Document` object must be unique. I.e. Duplicates are removed.

  Parameters:
    `approvers` - the approvers to add

### removeApprovers

    void removeApprovers(java.lang.String... approvers)

  Deprecated. use `Editable.removeMembersForAccess(com.ibm.workplace.wcm.api.security.Access, String[])`

  Removes each approver specified in the string array argument from the approvers of this `Document` object.

  An approver is only removed if the element in the string array argument can be converted to a valid member and already an approver on this `Document` object.

  Parameters:
    `approvers` - the approvers names to remove

### clearApprovers

    void clearApprovers()
                        throws AuthorizationException

  Deprecated.

  A convenient method to remove all approvers from the project. This is equivalent to retrieving all approvers for the project then perform `WorkflowDocument#removeApprovers(String[])`

  Throws:
    `AuthorizationException` - if the current user does not have minimum Editor access to the project.
  Since:
    8.0

### getDateEnteredStage

    java.util.Date getDateEnteredStage()
                                       throws PropertyRetrievalException

  Return the date which the current `Document` entered the current workflow stage

  Returns:
    the date which the current `Document` entered the current workflow stage
  Throws:
    `PropertyRetrievalException` - if this content is not workflowable

### hasDraft

    boolean hasDraft()
                     throws PropertyRetrievalException

  Returns `true` if this `Document` has a draft document.

  Returns:
    `true` if this `Document` has a draft document, `false` otherwise.
  Throws:
    `PropertyRetrievalException` - if this document is not workflowable

### restartWorkflow

    void restartWorkflow()
                         throws AuthorizationException,
                                WorkflowException

  Restart the workflow on this `Document` object. This returns the document to the first stage in its workflow.

  Throws:
    `AuthorizationException` - if the user does not have the appropriate access permission
    `WorkflowException` - if this document is not workflowable or an error while restarting the workflow

### nextWorkflowStage

    void nextWorkflowStage()
                           throws AuthorizationException,
                                  OperationFailedException,
                                  NoMoreWorkflowStagesException

  Deprecated. use `nextWorkflowStage(boolean, boolean, String)` For the same behavior call nextWorkflowStage(true, true, null)

  Move this `Document` object into the next stage in its workflow. When an approver calls this method, the document will immediately progress to the next workflow stage regardless of whether joint approval has been configured.

  Throws:
    `AuthorizationException` - if the user does not have the appropriate access permission to the workflow
    `OperationFailedException` - if this document is not workflowable or the document could not be moved to the next workflow stage
    `NoMoreWorkflowStagesException` - if the document is already in the last workflow stage

### nextWorkflowStage

    void nextWorkflowStage(boolean runExitActions,
                           boolean runEntryActions)
                           throws AuthorizationException,
                                  OperationFailedException,
                                  NoMoreWorkflowStagesException

  Deprecated. use `nextWorkflowStage(boolean, boolean, String)` For the same behavior call nextWorkflowStage(boolean, boolean, null)

  Move this `Document` object into the next stage in its workflow. When an approver calls this method, the document will immediately progress to the next workflow stage regardless of whether joint approval has been configured.

  Parameters:
    `runExitActions` - specifies whether to run the exit actions on the current stage before proceeding to the next stage
    `runEntryActions` - specifies whether to run the entry actions on the next stage
  Throws:
    `AuthorizationException` - if the user does not have the appropriate access permission to the workflow
    `OperationFailedException` - if this document is not workflowable or the Document could not be moved to the next workflow stage
    `NoMoreWorkflowStagesException` - if the document is already in the last workflow stage

### nextWorkflowStage

    void nextWorkflowStage(boolean runExitActions,
                           boolean runEntryActions,
                           java.lang.String comment)
                           throws AuthorizationException,
                                  WorkflowException

  Move this `Document` onject into the next stage in its workflow. When an approver calls this method, the document will immediately progress to the next workflow stage, regardless of whether joint approval is configured.

  Parameters:
    `runExitActions` - option to run the exit actions on the current stage before proceeding to the next stage.
    `runEntryActions` - option to run the entry actions on the next stage after moving into it.
    `comment` - optional comment to add for the operation. Can be null or empty.
  Throws:
    `AuthorizationException` - if the user does not have the appropriate access permission to the workflow.
    `NoNextStageException` - if the document is currently in the last stage of the workflow.
    `WorkflowException` - if the document can not be moved to the next stage.
  Since:
    8.0

### approve

    void approve(boolean runExitActions,
                 boolean runEntryAction,
                 java.lang.String comment)
                 throws AuthorizationException,
                        WorkflowException

  Approves the document. If joint approval is active, registers the user as having approved the document. If joint approval is not active, or all approvers have approved the document, moves the document to the next stage.

  Parameters:
    `runExitActions` - option to run the exit actions on the current stage before proceeding to the next stage.
    `runEntryAction` - option to run the entry actions on the next stage after moving into it.
    `comment` - optional comment to add for the operation. Can be null or empty.
  Throws:
    `AuthorizationException` - if the user does not have the appropriate access permission to the workflow.
    `WorkflowException` - if the document can not be moved to the next stage.
  Since:
    8.5

### previousWorkflowStage

    void previousWorkflowStage(boolean executeEntryActions)
                               throws AuthorizationException,
                                      OperationFailedException,
                                      NoMoreWorkflowStagesException,
                                      PreviousStageNotEnabledException

  Deprecated. use `previousWorkflowStage(boolean, String)` For the same behavior call previousWorkflowStage(boolean, null)

  Move this document to its previous stage in the workflow.

  Parameters:
    `executeEntryActions` - specifies whether the entry actions for the previous stage should be executed
  Throws:
    `AuthorizationException` - if the user does not have the appropriate access permission to the workflow
    `OperationFailedException` - if this document is not workflowable or it could not be moved to the previous workflow stage
    `NoMoreWorkflowStagesException` - if the document is already in the previous workflow stage
    `PreviousStageNotEnabledException` - if the current user is not a manager and moving to the previous stage has not been enabled for approvers
  Since:
    7.0

### previousWorkflowStage

    void previousWorkflowStage(boolean executeEntryActions,
                               java.lang.String comment)
                               throws AuthorizationException,
                                      WorkflowException

  Move this document to its previous stage in the workflow.

  Parameters:
    `executeEntryActions` - option to run the entry actions on the previous stage had the move succeeded.
    `comment` - optional comment to be added. Can be null.
  Throws:
    `AuthorizationException` - if the user does not have the appropriate access permission to the workflow.
    `NoPreviousStageException` - if this document is currently in the first stage of the workflow.
    `ActionNotAvailableException` - if this action is not available to the current user. The workflow action to move a `Document` to its previous workflow stage is not available in two cases: 1. It is not enabled on the current stage. 2. The user does not have minimum Manager access to the current stage of the `Document`.
    `WorkflowException` - if this document is not workflowable or it could not be moved to the previous workflow stage
  Since:
    8.0

### isDraft

    boolean isDraft()
                    throws PropertyRetrievalException

  Return `true` if this `Document` object is a draft.

  Returns:
    `true` if it is a draft
  Throws:
    `PropertyRetrievalException` - if this document is not workflowable

### isPublished

    boolean isPublished()
                        throws PropertyRetrievalException

  Return `true` if this `Document` document is live published document.

  Returns:
    `true` if this document is published
  Throws:
    `PropertyRetrievalException` - if this document is not workflowable

### isExpired

    boolean isExpired()
                      throws PropertyRetrievalException

  Return `true` if this `Document` has expired. That is, if the expiry date has been reached.

  Returns:
    `true` if the document has expired
  Throws:
    `PropertyRetrievalException` - if this document is not workflowable

### decline

    void decline()
                 throws AuthorizationException,
                        WorkflowException

  Declines this document. This returns it to the first stage in the workflow.

  Throws:
    `AuthorizationException` - if the user does not have the appropriate access permission to the workflow
    `WorkflowException` - if this document is not workflowable or the Document could not be moved to the initial workflow stage

### decline

    void decline(java.lang.String comment)
                 throws AuthorizationException,
                        WorkflowException

  Declines this document. This returns it to the first stage in the workflow.

  Parameters:
    `comment` - optional comment to add for the operation. Can be null or empty.
  Throws:
    `AuthorizationException` - if the user does not have the appropriate access permission to the workflow
    `WorkflowException` - if this document is not workflowable or the Document could not be moved to the initial workflow stage

### createDraftDocument

    Document createDraftDocument()
                                 throws AuthorizationException,
                                        WorkflowException

  Create draft copy of this WorkflowedDocument object.

  NOTE: Creating a draft saves the original, so any changes already made to the original before a draft is created will be seen in both WorkflowedDocuments.

  NOTE: You do not need to save the new draft after it is created, unless you have made changes to the draft WorkflowedDocument after creating the draft.

  Returns:
    the draft WorkflowedDocument copy
  Throws:
    `AuthorizationException` - if the user does not have the appropriate access permission
    `WorkflowException` - if this WorkflowedDocument is not workflowable or an error occurred while creating the draft
  Since:
    7.0

### cancelDraftDocument

    Document cancelDraftDocument()
                                 throws AuthorizationException,
                                        WorkflowException

  Cancels a draft document, if it exists.

  NOTE: This method may be performed on either the draft or the published document. If there are multiple drafts, and the published content is supplied, then only the first draft found will be cancelled. To cancel a specific draft, this method should be called from that draft.

  Returns:
    The associated published document. If there is no draft to cancel, this will return null.
  Throws:
    `AuthorizationException` - if the user does not have the appropriate access permission
    `WorkflowException` - if this document is not workflowable or an error occurred while cancelling the draft
  Since:
    7.0

### getWorkflowStatus

    int getWorkflowStatus()

  Returns the current workflow status of this `WorkflowedDocument`.

  Returns:
    `Workspace.WORKFLOWSTATUS_DRAFT` if this `WorkflowedDocument` is a draft document, `Workspace.WORKFLOWSTATUS_PUBLISHED` if it is a published document, or `Workspace.WORKFLOWSTATUS_EXPIRED` if it is an expired document.

### getPendingWorkflowStatus

    int getPendingWorkflowStatus()

  Returns the pending workflow status of this `WorkflowedDocument`. The pending status is the status that the document will move into in the future, for instance when a scheduled date is reached, or when a project is published.

  Returns:
    `Workspace.PENDING_WORKFLOWSTATUS_NONE` if this `WorkflowedDocument` is not pending a change in status, `Workspace.PENDING_WORKFLOWSTATUS_PUBLISHED` if it is pending to be published, or `Workspace.PENDING_WORKFLOWSTATUS_EXPIRED` if it is pending to expire, or `Workspace.PENDING_WORKFLOWSTATUS_DELETED` if it is pending to be deleted.

### isWorkflowMovingBackward

    boolean isWorkflowMovingBackward()

  Indicates if the workflow is moving backward (ie. a previous-stage operation is in progress)

  Returns:
    true if the workflow is moving backward, false otherwise

### isDraftOfPublishedDocument

    boolean isDraftOfPublishedDocument()

  Is this a draft of a Published Document

  Returns:
    `true` if this document is a draft of a published document

### getPublishedId

    DocumentId getPublishedId()

  If this is a draft of published Document then it retrieves the `DocumentId` of the Published Item. The item is a draft of published item if `isDraftOfPublishedDocument()` returns `true`.

  Returns:
    `DocumentId` of the Published Document if the document is a draft of a published , `null` otherwise.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD